Skip to main content
POST
/
organizations
Create an organization
curl --request POST \
  --url https://api.pcxpay.com/v1/organizations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "org_name": "<string>",
  "country": "<string>",
  "created_by": "<string>"
}
'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "org_id": "<string>",
    "org_name": "<string>",
    "status": "<string>",
    "country": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "kybComplete": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
org_name
string
required
country
string
required
created_by
string
required

Response

Organization created

status
string
Example:

"success"

message
string
data
object